| Home | Libraries | People | FAQ | More

###### rows::operator= (1 of 3 overloads)

Copy assignment.

###### Synopsis

    rows&
    operator=(
        const rows& other);

###### Exception safety

Basic guarantee. Internal allocations may throw.

###### Object lifetimes

`*this` lifetime will be independent of `other`'s. Iterators and references (including `rows_view`'s, `row_view`'s and `field_view`'s) to elements in `*this` are invalidated.

###### Complexity

Linear on `this->size() * this->num_columns()` and `other.size() * other.num_columns()`.